<?php

// Connection Component Binding
Doctrine_Manager::getInstance()->bindComponent('TIPO_RETIRO', 'doctrine');

/**
 * Description of BaseTIPO_RETIRO
 *
 * @author Manuel Enrique Paredes Lopez
 */
abstract class BaseTIPO_RETIRO extends sfDoctrineRecord
{
    public function setTableDefinition()
    {
        $this->setTableName('TIPO_RETIRO');
        
        $this->hasColumn('id', 'integer', 20, array(
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => true,
             'length' => 20,
             ));
        $this->hasColumn('nombre', 'string', 512, array(
             'notnull' => true,
             'type' => 'string',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 512,
             ));
    }
    
    public function setUp()
    {
        parent::setUp();
    }
}
